Bug 509192 - cannot emulate a disconnected network device
cannot emulate a disconnected network device
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 13:31 EDT by Bill Nottingham
Modified: 2014-03-16 23:19 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 08:51:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-07-01 13:31:27 EDT
Description of problem:

i.e., one where the network cable isn't there.  If it can do this, it's extremely non-obvious how to set it up. Setting things up such that you get:

"Warning: vlan 1 is not connected to host network"

still leaves you with a device that always reports a link.

Version-Release number of selected component (if applicable):

qemu-system-x86-0.10.5-3.fc11.x86_64
Comment 1 Mark McLoughlin 2009-07-01 17:22:34 EDT
Does the "set_link e1000.0 down" monitor command do the trick? Only works with e1000 and virtio at the moment
Comment 2 Bill Nottingham 2009-07-02 13:08:08 EDT
It seems too. mii-tool lies, but it's known to be sort of broken.
Comment 3 Mark McLoughlin 2009-07-03 08:51:12 EDT
Okay, thanks

Note You need to log in before you can comment on or make changes to this bug.